Subject: [PATCH] fetch: add fetch.pruneLocalBranches config

From: Harald Nordgren <[email-masked]>
Date: Tue, 12 May 2026 19:00:41 +0200

> But the above description uses quite different condition.  You want
> to notice that _they_ removed 'next' (for that, the second-to-last
> fetch may need to be run with --prune) and then remove our local
> hn/topic, but to me, that sounds nonsense for two reasons.

I wanted to be able to be aggresice with deleting, but maybe this went a
bit overboard. Would still be nice to have a nuclear option.

Harald